> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the balance of accounts

> Get the balance of accounts in the accounting plan (chart of accounts) between specific months



## OpenAPI

````yaml post /consumers/{consumer_id}/accounting/chart-of-accounts/balance
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/accounting/chart-of-accounts/balance:
    post:
      tags:
        - Accounting
        - Ledger accounts
      summary: Get the balance of accounts
      description: >-
        Get the balance of accounts in the accounting plan (chart of accounts)
        between specific months
      operationId: accounting_get_accounts_balances
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
        - name: folder_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Folder Id
          description: >-
            Id of the accounting folder instance. A folder represents a legal
            entity within the system. Required when the multiple folders feature
            is enabled.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountBalanceFilter'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChiftPage_AccountBalance_'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - accounting
            - accounting.read
            - accounting.ledger_accounts
            - accounting.ledger_accounts.read
components:
  schemas:
    AccountBalanceFilter:
      properties:
        accounts:
          items:
            type: string
          type: array
          title: Accounts
          description: >-
            Array/list containing the account numbers/classes to include in the
            response. E.g. ["601", "7"] to retrieve all account in the class 7
            and accounts with an account number beginning with 601
        start:
          anyOf:
            - type: string
            - type: 'null'
          title: Start
          description: >-
            Start month (inclusive). Format: YYYYMM (e.g., 202502 for February
            2025).
        end:
          type: string
          maxLength: 6
          minLength: 6
          title: End
          description: >-
            End month (inclusive). Format: YYYYMM (e.g., 202512 for December
            2025).
      type: object
      required:
        - accounts
        - end
      title: AccountBalanceFilter
    ChiftPage_AccountBalance_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/AccountBalance'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
      type: object
      required:
        - items
        - total
        - page
        - size
      title: ChiftPage[AccountBalance]
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    AccountBalance:
      properties:
        account_number:
          type: string
          title: Account Number
          description: Ledger account number in the chart of accounts
        account_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Name
          description: Display name of the ledger account
        debit:
          type: number
          title: Debit
          description: >-
            Debit at end date. When debit and credit are equal to 0 and balance
            is different from 0 then the debit and credit cannot be determined,
            only the balance can be calculated in those cases.
        credit:
          type: number
          title: Credit
          description: >-
            Credit at end date. When debit and credit are equal to 0 and balance
            is different from 0 then the debit and credit cannot be determined,
            only the balance can be calculated in those cases.
        balance:
          type: number
          title: Balance
        period_debit:
          type: number
          title: Period Debit
          description: >-
            Debit at end date beginning from the given start date. When debit
            and credit are equal to 0 and balance is different from 0 then the
            debit and credit cannot be determined, only the balance can be
            calculated in those cases.
        period_credit:
          type: number
          title: Period Credit
          description: >-
            Credit at end date beginning from the given start date. When debit
            and credit are equal to 0 and balance is different from 0 then the
            debit and credit cannot be determined, only the balance can be
            calculated in those cases.
        period_balance:
          type: number
          title: Period Balance
          description: Balance at end date beginning from the given start date.
      type: object
      required:
        - account_number
        - debit
        - credit
        - balance
        - period_debit
        - period_credit
        - period_balance
      title: AccountBalance
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````